---

config_version: 3

gitlab:
  url: "{{ gitlab_url }}"
  ssl_verify: true
  timeout: 10

projects_and_groups:
  placeholder/repoman-quickstart:
    project_settings:
      jobs_enabled: true
      only_allow_merge_if_pipeline_succeeds: true
      only_allow_merge_if_all_discussions_are_resolved: true
    branches:
      main:
        protected: true
        push_access_level: 40
        merge_access_level: 40
        unprotect_access_level: 40
    enforce_group_members: true
    merge_requests:
      approvals:
        approvals_before_merge: 1
        reset_approvals_on_push: true
        disable_overriding_approvers_per_merge_request: true
    variables:
      REPOMAN_TEST_SECRET:
        protected: true
        delete: false
        key: REPOMAN_TEST_SECRET
        value: "{{ lookup('file', '/etc/repoman/secrets/encrypted/testsecret') }}"
